Subject: bug#19714: closed (Re: bug#19714: reftex under Xemacs 21.5.33 Mule)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Jan 2015 14:55:03 +0000

Your bug report

#19714: reftex  under Xemacs 21.5.33 Mule

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19714: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19714
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19714: reftex under Xemacs 21.5.33 Mule
From: Tassilo Horn <[email-masked]>
To: Uwe Brauer <[email-masked]>
Cc: XEmacs Beta Discussion <[email-masked]>, David Kastrup <[email-masked]>, [email-masked]
Date: Thu, 29 Jan 2015 15:54:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Uwe Brauer <[email-masked]> writes:

>    >   2. remove `reftex-label-regexps' and stick to matching only
>    >      \label{...} labels without being able to match other things that
>    >      also produce labels
>
>    >      (or even simpler: remove the "?1" from the first regexp in
>    >      `reftex-label-regexps' and delete the second regexp.  Also make it
>    >      to a `defconst' to indicate that nobody should touch it.)
>
> Do you mean a split in code here?
>
> wrapped around a 
>
>  (when (featurep 'xemacs)
> Simplified version
> )
>
> something like this?

What I mean is exactly this:

--8<---------------cut here---------------start------------->8---
(if (featurep 'xemacs)
    (defconst reftex-label-regexps '("\\\\label{\\([^}]*\\)}"))
  (defcustom reftex-label-regexps
    '(;; Normal \\label{foo} labels
      "\\\\label{\\(?1:[^}]*\\)}"
      ;; keyvals [..., label = {foo}, ...] forms used by ctable,
      ;; listings, minted, ...
      "\\[[^]]*\\<label[[:space:]]*=[[:space:]]*{?\\(?1:[^],}]+\\)}?")
    "List of regexps matching \\label definitions.
The default value matches usual \\label{...} definitions and
keyval style [..., label = {...}, ...] label definitions.  It is
assumed that the regexp group 1 matches the label text, so you
have to define it using \\(?1:...\\) when adding new regexps.

When changed from Lisp, make sure to call
`reftex-compile-variables' afterwards to make the change
effective."
    :version "24.4"
    :set (lambda (symbol value)
	   (set symbol value)
	   (when (fboundp 'reftex-compile-variables)
	     (reftex-compile-variables)))
    :group 'reftex-defining-label-environments
    :type '(repeat (regexp :tag "Regular Expression"))))
--8<---------------cut here---------------end--------------->8---

> Suppose I come up with a solution the way you suggest it.  Would you
> then include the corresponding patch to reftex?

I've already committed the above to the emacs-24 branch which is synced
also to master regularly.

I'm closing this bug.

Bye,
Tassilo

Subject: reftex under Xemacs 21.5.33 Mule
From: Uwe Brauer <[email-masked]>
To: [email-masked], [email-masked]
Cc: XEmacs Beta Discussion <[email-masked]>
Date: Wed, 28 Jan 2015 17:57:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

I just downloaded the latest reftex version from the GNU Emacs textmode
directory and compiled it with a list of compiler warnings. 

Then I enabled it and opened a Latex file, reftex mode was on, however 
when I try to run reftex-toc

I obtain an error (debug-on-error t) which I attach. I understand that
Xemacs compatibility is not guaranteed, since for quite a while reftex
is part of GNU Emacs. 

However I would like to know whether it could be made compatible with
Xemacs, 

I CC xemacs-beta

Emacs  : XEmacs 21.5  (beta33) "horseradish" [Lucid] (i686-pc-linux, Mule) of Fri Oct 17 2014 on Burrurr
Package: 21.5  (beta33) "horseradish" XEmacs Lucid

current state:
==============
(setq
 window-system 'x
 reftex-plug-into-AUCTeX t
 )